كلمات المرور الرئيسية
تحديث كلمة المرور الرئيسية
Rename a master password under the path account.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
/
{credential_id}
تحديث كلمة المرور الرئيسية
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
الجسم
application/json
طلب لإعادة تسمية كلمة مرور رئيسية.
اسم عرض كلمة المرور الرئيسية
Required string length:
1 - 100الاستجابة
طابع وقت إنشاء كلمة المرور الرئيسية
UUID كلمة المرور الرئيسية
اسم عرض كلمة المرور الرئيسية
UUID المورد لنطاق كلمة المرور الرئيسية
نوع نطاق المورد الذي تنطبق عليه كلمة المرور الرئيسية
الخيارات المتاحة:
account, workspace, domain طابع وقت آخر تحديث لكلمة المرور الرئيسية
هل كانت هذه الصفحة مفيدة؟
⌘I
تحديث كلمة المرور الرئيسية
